Name:		cheser-icon-theme
Summary:	Tango-style icons for GNOME and Xfce
Version:	3.20.0
Release:	%mkrel 6
License:	CC-BY-SA
Group:		Graphical desktop/GNOME
Url:		https://gnome-look.org/content/show.php/Cheser+Icons?content=113386
Source0:	https://github.com/mattiasrunge/cheser-icon-theme/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-Added-a-package.json-file.patch
Patch2:		0002-Added-status-icons-which-can-be-rotated-and-have-the.patch
Patch3:		0003-More-work-on-status-extras.patch
Patch4:		0004-New-icons.patch
Patch5:		0005-Added-things-icons.patch
Patch6:		0006-New-svgs-for-gear-and-thing-icons.patch
Patch7:		0007-Add-new-icon-for-skipped-status.patch
Patch8:		0008-Adds-glass-like-svg-icons-for-displaying-future-stat.patch
Patch9:		0009-Changed-color-of-tinted_glass.svg.patch
Patch10:	0010-Add-new-icon-for-errored-status.patch
BuildArch:	noarch
BuildRequires:	git-core
# for gtk-update-icon-cache
Requires(post): gtk-update-icon-cache

%description
A mix of different Tango-style icons for GNOME and Xfce.

%prep
%autosetup -p1 -Sgit_am

#remove some zero size files
find Cheser -type f -size 0 -delete

%build
#nothing

%install
mkdir -p %{buildroot}%{_iconsdir}
cp -a Cheser %{buildroot}%{_iconsdir}

touch %{buildroot}%{_iconsdir}/Cheser/icon-theme.cache

%post
%update_icon_cache Cheser

%files
%license COPYING
%doc NEWS* README.md
%dir %{_iconsdir}/Cheser/
%{_iconsdir}/Cheser/*/
%{_iconsdir}/Cheser/index.theme
%ghost %{_iconsdir}/Cheser/icon-theme.cache


%changelog
* Sun Dec 11 2022 wally <wally> 3.20.0-6.mga9
+ Revision: 1920654
- add patches from new upstream
- remove reqs for adwaita-icon-theme

* Mon Mar 21 2022 umeabot <umeabot> 3.20.0-5.mga9
+ Revision: 1811395
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 3.20.0-4.mga8
+ Revision: 1523585
- Mageia 8 Mass Rebuild

* Sun Mar 10 2019 wally <wally> 3.20.0-3.mga7
+ Revision: 1373757
- update post requires for icon cache update

* Tue Sep 18 2018 umeabot <umeabot> 3.20.0-2.mga7
+ Revision: 1261683
- Mageia 7 Mass Rebuild

* Sat Aug 06 2016 wally <wally> 3.20.0-1.mga6
+ Revision: 1044717
- new version 3.20.0

* Tue Mar 22 2016 wally <wally> 3.18.1-1.mga6
+ Revision: 994126
- new version 3.18.1
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Dec 05 2015 wally <wally> 3.18.0-1.mga6
+ Revision: 908409
- new version 3.18.0

* Mon Aug 03 2015 wally <wally> 3.16.1-1.mga6
+ Revision: 860918
- new version 3.16.1

* Thu Jun 25 2015 wally <wally> 3.16.0-1.mga6
+ Revision: 843045
- new version 3.16.0

* Sat Jun 20 2015 wally <wally> 3.14.4-1.mga6
+ Revision: 836668
- new version 3.14.4

* Wed Feb 11 2015 wally <wally> 3.14.3-1.mga5
+ Revision: 814676
- new version 3.14.3

* Wed Oct 15 2014 umeabot <umeabot> 3.12.0-4.mga5
+ Revision: 739452
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.12.0-3.mga5
+ Revision: 678373
- Mageia 5 Mass Rebuild

* Sat May 03 2014 wally <wally> 3.12.0-2.mga5
+ Revision: 619772
- fix theme inherits after gnome icon theme change

* Sun Mar 30 2014 wally <wally> 3.12.0-1.mga5
+ Revision: 610294
- new version 3.12.0
- use %%update_icon_cache macro in %%post

* Sun Feb 23 2014 wally <wally> 3.10.3-1.mga5
+ Revision: 596054
- new version 3.10.3

* Wed Feb 05 2014 wally <wally> 3.10.2-1.mga5
+ Revision: 583670
- new version 3.10.2

* Tue Feb 04 2014 wally <wally> 3.10.1-1.mga5
+ Revision: 580941
- new version 3.10.1

* Sat Oct 19 2013 umeabot <umeabot> 3.8.0-2.mga4
+ Revision: 530179
- Mageia 4 Mass Rebuild

* Sat Jul 20 2013 wally <wally> 3.8.0-1.mga4
+ Revision: 456492
- imported package cheser-icon-theme

